//main.c

#include <stdio.h>
#include <unistd.h>
#include <stdint.h>
#include <string.h>
#include "png.h"
#include "main.h"

uint8_t		inc[] = {
0x00, 0x00, 0x00, 0x0D, 0x49, 0x48, 0x44, 0x52,	//8
0x00, 0x00, 0x00, 0x20, 0x00, 0x00, 0x00, 0x20, 0x08, 0x02, 0x00, 0x00, 0x00,	//13
//
0x00, 0x00, 0x00, 0x00, 0x49, 0x45, 0x4E, 0x44
};

int main(int argc, char *argv[])
{
	int		scnt = 1;
	//
	if(argc < 2)
	{
		printf("{%s --help}   - прмените для подсказки\n", argv[0]);
		return 1;
	}
	while(scnt < argc)
	{
		if(strcmp(argv[scnt], "--help") == 0)
		{
			printf(_help_);
			return 0;
		}
		else if(strcmp(argv[scnt], "--test1") == 0)
		{
			test1();
			return 0;
		}
		scnt++;
	}

	return 0;
}


void test1(void)
{
	uint32_t	crc;
	uint32_t	cnt = 0;
	printf("\n---- test CRC32 ----\n:");
	while(cnt < 28)
	{
		printf(" %02X ", inc[cnt]);
		cnt++;
	}
	crc = Fcrc32((uint8_t*)(&inc[25]), 4);
	printf("\nCRC32: %08X\n", crc);
	printf("--- end test CRC32 ----\n");
}

