//png.c

#include <stdint.h>
#include "png.h"

uint32_t	chunk_length;
uint8_t		chunk_type[4];
uint32_t	chunk_crc;


//контрольная сумма по таблице
uint32_t	Fcrc32(uint8_t * dat, uint32_t len)
{
	uint32_t	crc32	= 0xFFFFFFFF;
	uint32_t	cnt 	= 0;
	while(cnt < len)
	{
		crc = crc_table[(crc ^ (*(uint8_t*)(dat + cnt))) & 0xFF] ^ (crc >> 8);
		cnt++;
	}
	return (crc32 ^ 0xFFFFFFFF);
}
