//main.c

#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <stdlib.h>
#include <pthread.h>
#include <sys/mman.h>
#include <semaphore.h>
#include <fcntl.h>
#include <sys/stat.h>
#include "wsserver.h"
#include "workfunc.h"
#include "main.h"
#include "version.h"
#include "bmp.h"
#include "bmpfunc.h"
#include "objects.h"
#include "gp.h"
#include "msem.h"


int	mX = 0;
int	mY = 0;
int	tt8;
int	tx1,ty1,ty2,ty3,tx4,ty4;
int	R,G,B;
char 	filenameBMP[32];		//имя файла шаблонного файла BMP
char 	SHCMDfilenameBMP[32];	//имя файла рзделяемой памяти BMP
char 	SHSEMfilenameBMP[32];	//имя семафора разделяемой памяти BMP
char 	SHCMDfilenameCNTRL[32];	//имя файла рзделяемой памяти CNTRL
char 	SHSEMfilenameCNTRL[32];	//имя семафора разделяемой памяти CNTRL

int main(int argc, char *argv[])
{
	int	scnt		= 1;
	int	res;
	char	testline[10];
	R = 100;
	G = 100;
	B = 100;
	tt8 = 0;
	//
	
	//
	if(argc < 2)
	{
		printf("Необходимы параметры!\n");
		return -1;
	}
	while(scnt < argc)
	{
		if(strcmp(argv[scnt], "--help") == 0)
		{
			printf(_help_);
			return 0;
		}
		else if(strcmp(argv[scnt], "--version") == 0)
		{
			printf("Date : %s Version : %s\n", _date, _version);
			return 0;
		}
		else if(strcmp(argv[scnt], "--fcntrl") == 0)
		{
			scnt++;
			if(!(scnt < argc))
			{
				printf("не задано имя файла контроля параметров\n");
				return 3;
			}
			memset(&SHCMDfilenameCNTRL[0], 0, 32);
			strcpy(&SHCMDfilenameCNTRL[0], argv[scnt]);
			scnt++;
			if(!(scnt < argc))
			{
				printf("не задано имя семафора контроля параметров\n");
				return 3;
			}
			memset(&SHSEMfilenameCNTRL[0], 0, 32);
			strcpy(&SHSEMfilenameCNTRL[0], argv[scnt]);
		}
		else if(strcmp(argv[scnt], "--fbmp") == 0)
		{
			scnt++;
			if(!(scnt < argc))
			{
				printf("не задано имя файла шаблонного BMP файла\n");
				return 3;
			}
			memset(&filenameBMP[0], 0, 32);
			strcpy(&filenameBMP[0], argv[scnt]);
			scnt++;
			if(!(scnt < argc))
			{
				printf("не задано имя файла разделяемой памяти BMP\n");
				return 3;
			}
			memset(&SHCMDfilenameBMP[0], 0, 32);
			strcpy(&SHCMDfilenameBMP[0], argv[scnt]);
			scnt++;
			if(!(scnt < argc))
			{
				printf("не задано имя файла семафора BMP\n");
				return 3;
			}
			memset(&SHSEMfilenameBMP[0], 0, 32);
			strcpy(&SHSEMfilenameBMP[0], argv[scnt]);
		}
		else
		{
			printf("значение: %s ...не определено! используйте --help для подсказки!\n", argv[scnt]);
			return -1;sliderCTRL(mX, mY, 0);
		}
		scnt++;
	}
	//
	//res = bmpfilework("work.bmp", &BMP_DUMP[0]);
	//bmpcopy();
	printf("res=%i\n", createSHMcntrl());
	printf("res=%i\n", createSHMbmp());
	shcmd = (SHCMD*)(addrCMD);
	setfont(881);
	res = startWSserver();
	if(res < 0)
		return -3;
	//#include "workfunc.h"
	buttonsINIT();
	buttonCREATE(10, 30, 80, 20, "circle\0", 255, 127, 127, 0,0,0, &test1);
	buttonCREATE(100, 30, 80, 20, "circlef\0", 127, 255, 127, 0,0,0, &test2);
	buttonCREATE(190, 30, 80, 20, "rect\0", 127, 127, 255, 0,0,0, &test3);
	buttonCREATE(280, 30, 80, 20, "reectf\0", 192, 192, 192, 0,0,0, &test4);
	buttonCREATE(370, 30, 80, 20, "triangle\0", 192, 0, 0, 0,0,0, &test5);
	buttonCREATE(460, 30, 80, 20, "clear\0", 255, 255, 255, 0,0,0, &test8);
	BMP_textout("1234567890...ABCDEFGH... Font 881", 10, 35, 255,255,255, 0,0,0, 0);
	//setfont(571);
	//BMP_textout("1234567890...ABCDEFGH... Font 571", 10, 45, 255,255,255, 0,0,0, 0);
	//printf("cnt buttons = %i\n", buttons.cntb);
	slidersINIT();
	sliderCREATE(30,3,600,20, 0,360, (int16_t*)(&scnt), 255,255,255, 255,0,0);
	sliderCREATE(3,30,20,400, 0,360, (int16_t*)(&scnt), 255,255,255, 0,255,0);
	//sliderCREATE(60,100,20,100, 0,255, (int16_t*)(&B), 255,255,255, 0,0,255);
	//printf("cnt sliders = %i\n", sliders.cntslrd);
	//
	//gp_circlesec(320, 240, 100, 45, 140, 255, 255, 255);
	//
	while(work)
	{
		memset(&testline[0], 0, 10);
		sprintf(&testline[0], "%i", scnt);
		wmutlock(addrsemBMP);
		test8();
		BMP_textout(&testline[0], 50, 140, 255,255,0, 0,0,0, 0);
		gp_circlesec_ind(220, 340, 50, 45, scnt, 1, 255, 255, 255);
		gp_circlesec_ind(220, 210, 50, 45, scnt, 2, 255, 255, 255);
		gp_circlesec_ind(420, 340, 50, 45, scnt, 3, 255, 255, 255);
		gp_circlesec_ind(420, 210, 50, 45, scnt, 4, 255, 255, 255);
		printf("workbmp: X=%i, Y=%i, CMD=%i\n", shcmd->mX, shcmd->mY, shcmd->cmd);
		objsCNRTL(shcmd);
		//BMP_textoutV("RED Color", 25, 210, 255,0,0, 0,0,0, 0);
		//BMP_textoutV("GREEN Color", 50, 210, 0,255,0, 0,0,0, 0);
		//BMP_textoutV("BLUE Color", 75, 210, 0,0,255, 0,0,0, 0);
		barH(100,100,100,10, 0,100,scnt, 255,255,255, 155,155,0, 0,0,0);
		barV(100,140,10,100, 0,100,scnt, 255,255,255, 155,155,0, 0,0,0);
		//buttonCTRL(mX, mY, 0);
		wmutunlock(addrsemBMP);
		if(scnt < 360)
			scnt++;
		else
			scnt = 0;
		usleep(500000);
	}
	//
	pthread_mutex_lock(&serverWSmutex);
	work	= 0;
	pthread_mutex_unlock(&serverWSmutex);
	sleep(1);
	//
	return 0;
}

void test1(void)
{
		circle(320, 240, 50, R, G, B);
}

void test2(void)
{
		circlefill(320, 240, 50, R, G, B);
}

void test3(void)
{
		rectangle(200, 240, 450, 400, R, G, B);
}

void test4(void)
{
		rectanglefill(200, 240, 450, 400, R, G, B);
}

void test5(void)
{
		triangle(10, 470, 630, 470, 320, 140, R, G, B);
}

void test8(void)
{
		BMP_rect_filled(30, 470, 630, 140, 0, 0, 0);
}

int createSHMcntrl(void)
{
	//
	//память - создание
        if ( (shmCMD = shm_open(&SHCMDfilenameCNTRL[0], O_CREAT|O_RDWR, S_IRWXO|S_IRWXG|S_IRWXU)) == -1 )
                return 1;
	if ( ftruncate(shmCMD, sizeof(SHCMD) + 1) == -1 ) 
                return 2;
	if ( (addrCMD = mmap(0, sizeof(SHCMD)+1, PROT_WRITE|PROT_READ, MAP_SHARED, shmCMD, 0)) == (u_int8_t*)-1 )
                return 3;
	memset(addrCMD, 0, sizeof(SHCMD));
	//псевдомютекс
	if ( (semCMD = shm_open(&SHSEMfilenameCNTRL[0], O_CREAT|O_RDWR, S_IRWXO|S_IRWXG|S_IRWXU)) == -1 )
                return 4;
	if ( ftruncate(semCMD, 1 + 1) == -1 ) 
                return 5;
	if ( (addrsemCMD = mmap(0, 1 + 1, PROT_WRITE|PROT_READ, MAP_SHARED, semCMD, 0)) == (u_int8_t*)-1 )
                return 6;
	wmcreate(addrsemCMD, 0);
	wmutlock(addrsemCMD);
	memset(addrCMD, 0, sizeof(SHCMD));
	wmutunlock(addrsemCMD);
	return 0;
}

int createSHMbmp(void)
{
	//память - создание
        if ( (shmBMP = shm_open(&SHCMDfilenameBMP[0], O_CREAT|O_RDWR, S_IRWXO|S_IRWXG|S_IRWXU)) == -1 )
                return 1;
	if ( ftruncate(shmBMP, _BMP_DUMP_SIZE_ + 1) == -1 ) 
                return 2;
	if ( (addrBMP = mmap(0, _BMP_DUMP_SIZE_+1, PROT_WRITE|PROT_READ, MAP_SHARED, shmBMP, 0)) == (u_int8_t*)-1 )
                return 3;
	//
	if ( (semBMP = shm_open(&SHSEMfilenameBMP[0], O_CREAT|O_RDWR, S_IRWXO|S_IRWXG|S_IRWXU)) == -1 )
                return 4;
	if ( ftruncate(semBMP, 1 + 1) == -1 ) 
                return 5;
	if ( (addrsemBMP = mmap(0, 1 + 1, PROT_WRITE|PROT_READ, MAP_SHARED, semBMP, 0)) == (u_int8_t*)-1 )
                return 6;
	wmcreate(addrsemBMP, 0);
	wmutlock(addrsemBMP);
	//анализ шаблона BMP
	BMP_FileAnalise(&filenameBMP[0], addrBMP);
	wmutunlock(addrsemBMP);
	return 0;
}
